﻿// --------------------------------------------------------------------------------------------------------------------
// <copyright file="MainWindow.xaml.cs" company="">
//   
// </copyright>
// <summary>
//   Interaction logic for MainWindow.xaml
// </summary>
// --------------------------------------------------------------------------------------------------------------------

namespace WpfApplication15
{
  using System.Windows;

  using Infragistics.Controls.Interactions;

  /// <summary>Interaction logic for MainWindow.xaml</summary>
  public partial class MainWindow : Window
  {
    #region Constructors and Destructors

    /// <summary>Initializes a new instance of the <see cref="MainWindow"/> class.</summary>
    public MainWindow()
    {
      InitializeComponent();
    }

    #endregion

    #region Methods

    /// <summary>The button_ click_1.</summary>
    /// <param name="sender">The sender.</param>
    /// <param name="e">The e.</param>
    private void Button_Click_1(object sender, RoutedEventArgs e)
    {
      //XamDialogWindow win = CreateDialogWindow();
      //win.ModalBackgroundEffect = null;
      //win.IsModal = true;
      //windowContainer.Children.Add(win);

      Window1 win = new Window1();
      win.Closing += new System.ComponentModel.CancelEventHandler(win_Closing);
      this.Opacity = .7;
      win.ShowDialog();
      
    }

    void win_Closing(object sender, System.ComponentModel.CancelEventArgs e)
    {
        this.Opacity = 1;
    }

    /// <summary>The create dialog window.</summary>
    /// <returns></returns>
    private XamDialogWindow CreateDialogWindow()
    {
      return new XamDialogWindow { Width = 350, Height = 300, StartupPosition = StartupPosition.Center };
    }

    #endregion
  }
}